Reenviar confirmação do pedido
curl --request POST \
--url https://sandbox.4seletpay.com.br/api/v1/orders/{order_code}/confirmations/{confirmation_id}/resend \
--header 'Authorization: Bearer <token>' \
--header 'account: <account>'import requests
url = "https://sandbox.4seletpay.com.br/api/v1/orders/{order_code}/confirmations/{confirmation_id}/resend"
headers = {
"account": "<account>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {account: '<account>', Authorization: 'Bearer <token>'}
};
fetch('https://sandbox.4seletpay.com.br/api/v1/orders/{order_code}/confirmations/{confirmation_id}/resend', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"mensagem": "Confirmação reenviada com sucesso.",
"erro": false,
"mensagenserro": [],
"codigoretorno": 201,
"id": "d5e6f7a8-b9c0-1234-5678-abcdef012345",
"data": []
}
Pedidos
Reenviar Confirmação
Reenvia o código de confirmação para o cliente (novo OTP por SMS/email). Invalidar confirmações pendentes anteriores e gera um novo código com validade de 15 minutos. Esta rota não aceita body.
POST
/
v1
/
orders
/
{order_code}
/
confirmations
/
{confirmation_id}
/
resend
Reenviar confirmação do pedido
Requer o header
account. Reenvia o código de verificação para o cliente (novo OTP por SMS/e-mail).
Esta rota não aceita body — apenas os parâmetros de path.Use esta rota quando o cliente não recebeu o código original ou quando o código expirou.
Um novo código é gerado com validade de 15 minutos, e confirmações anteriores pendentes são invalidadas.
Authorizations
Token JWT obtido via POST /v1/login. Envie no header Authorization: Bearer <token>.
Headers
Código da conta à qual a operação se aplica
Example:
"acc_abc123xyz"
Path Parameters
Código único do pedido
Example:
"ord_abc123xyz"
ID (UUID) da confirmação
Example:
"d5e6f7a8-b9c0-1234-5678-abcdef012345"
Response
Confirmação reenviada com sucesso
